
Name:          mate-applet-streamer
Summary:       Online radio streamer applet
Version:       0.4.1
Release:       %mkrel 3
License:       GPLV2+
Group:         Graphical desktop/MATE
URL:           https://github.com/assen-totin/mate-applet-streamer
# Use github releases instead of authors own wordpress site due to inconsistent download paths.
Source0:       https://github.com/assen-totin/mate-applet-streamer/archive/%{version}/%{name}-%{version}.tar.gz
Patch1:        mate-applet-streamer-0.4.1-type-cast.patch

BuildRequires: pkgconfig(gtk+-3.0) >= 3.14.0
BuildRequires: gettext-devel
BuildRequires: pkgconfig(libmatepanelapplet-4.0) >= 1.16.0
BuildRequires: pkgconfig(libnotify) >= 0.7.0
BuildRequires: pkgconfig(gstreamer-1.0)
BuildRequires: pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(sqlite3)
BuildRequires: pkgconfig(glib-2.0)

Requires:   mate-panel >= 1.16.0
Requires:   gstreamer1.0-pulse
Requires:   gstreamer1.0-plugins-good

%description
A MATE panel applet to let you play your favorite online radio stations
from your system tray or panel with a single click.
Icecast directory listing in included.

%prep
%autosetup -p1

%build
NOCONFIGURE=1 ./autogen.sh
%configure \
    --enable-gtk=3 \
    --enable-notify=libnotify \
    --enable-gstreamer=1.0

%make_build

%install
%make_install

# Remove docs which are handled by rpm already.
rm -rf  %{buildroot}%{_docdir}

# Remove compiled gschemas rpm filetriggers do this
rm -rf %{buildroot}%{_datadir}/glib-2.0/schemas/gschemas.compiled

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS BUGS ChangeLog NEWS README TODO
%{_libexecdir}/streamer_applet
%{_datadir}/pixmaps/applet_streamer*.png
%{_iconsdir}/hicolor/*/apps/applet_streamer.png
%{_datadir}/mate-panel/applets/org.mate.applets.StreamerApplet.mate-panel-applet
%{_datadir}/glib-2.0/schemas/org.mate.panel.applet.StreamerApplet.gschema.xml
%{_datadir}/dbus-1/services/org.mate.panel.applet.StreamerApplet.service
%dir %{_datadir}/streamer_applet
%{_datadir}/streamer_applet/streamer.sqlite
%{_libdir}/bonobo/servers/StreamerAppletFactory.server


%changelog
* Tue Mar 18 2025 daviddavid <daviddavid> 0.4.1-3.mga10
+ Revision: 2166187
- add fedora patch to fix build with gcc 14
+ wally <wally>
- rebuild for libxml2 2.13.6

* Sun Apr 03 2022 umeabot <umeabot> 0.4.1-2.mga9
+ Revision: 1841632
- Mageia 9 Mass Rebuild

* Mon Oct 26 2020 akien <akien> 0.4.1-1.mga8
+ Revision: 1639546
- Version 0.4.1

* Thu Feb 13 2020 umeabot <umeabot> 0.4.0-3.mga8
+ Revision: 1515129
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.4.0-2.mga7
+ Revision: 1299466
- Mageia 7 Mass Rebuild

* Mon Jan 01 2018 tarakbumba <tarakbumba> 0.4.0-1.mga7
+ Revision: 1189018
- Updated to 0.4.0 version

* Mon Feb 13 2017 tarakbumba <tarakbumba> 0.3.11-1.mga6
+ Revision: 1086077
- Update to 0.3.11 version

* Tue Jan 05 2016 tarakbumba <tarakbumba> 0.3.9-1.mga6
+ Revision: 919910
- Update to 0.3.9 version

* Sat Jan 02 2016 tarakbumba <tarakbumba> 0.3.5-1.mga6
+ Revision: 918085
- Update to 0.3.5 version

* Tue Dec 29 2015 tarakbumba <tarakbumba> 0.3.3-1.mga6
+ Revision: 916834
- Update to 0.3.3 version

* Sun Dec 27 2015 tarakbumba <tarakbumba> 0.3.2-1.mga6
+ Revision: 915540
- imported package mate-applet-streamer

